Skip to main content
GET
/
v1
/
perps
/
positions
Get Positions
curl --request GET \
  --url https://api.ondoperps.xyz/v1/perps/positions \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "result": [
    {
      "market": "AAPL-USD.P",
      "direction": "long",
      "netQuantity": "10.00",
      "averageEntryPrice": "225.00",
      "usedMargin": "1125.00",
      "unrealizedPnl": "25.00",
      "markPrice": "227.50",
      "liquidationPrice": "180.00",
      "bankruptcyPrice": "170.00",
      "maintenanceMargin": "112.50",
      "notionalValue": "2275.00",
      "leverage": "2.0",
      "netFundingSinceNeutral": "-1.23",
      "returnOnEquity": "0.022"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

List of positions

success
boolean
required

Whether the request was successful

Example:

true

error
string

Error message, present only on failure

Example:

""

error_code
string

Semantic error code. See each endpoint's error responses for the specific codes it can return.

deprecated
string

Deprecation notice, if applicable

Example:

""

result
object[]